--Hide the status bar
display.setStatusBar(display.HiddenStatusBar)

--Require sprite
require "sprite"

--The background image
local bg = display.newImage( "bg.png" )

--Total sum of dice after a roll
local diceTotal = 0

--States whether or not the dice may be rolled
local canRoll = true

--Sprite Setup
local diceSheet = sprite.newSpriteSheet( "dice.png", 64, 64)

local diceSet = sprite.newSpriteSet( diceSheet, 1, 6 )
sprite.add( diceSet, "dice", 1, 6, 195, 0)
sprite.add( diceSet, "dice2", 1, 6, 210, 0)

--First Die
local dice = sprite.newSprite( diceSet )
dice.x = 120
dice.y = 200
dice:prepare("dice")

--Second Die
local dice2 = sprite.newSprite( diceSet )
dice2.x = 200
dice2.y = 300
dice2:prepare("dice2")

--Roll button
local rollBtn = display.newImage("die.png")
rollBtn.x = 280
rollBtn.y = 40

--End Roll Function
local function endRoll()
	dice:pause()
	dice2:pause()
	diceTotal = dice.currentFrame + dice2.currentFrame
	print(diceTotal) --Print the result in the terminal
	canRoll = true --Allow the dice to be rolled again
end

--Roll function
local function rollDice()
	if canRoll == true then
		canRoll = false --Prevent dice from being rolled again before the current role is over
		dice:play()
		dice2:play()
		randomTime = math.random(1500, 3500)
		timer.performWithDelay(randomTime, endRoll, 1)
	end
end
rollBtn:addEventListener("tap", rollDice)
